import { RedisTaggingOptions, IInputOptions } from "./interfaces";
export default class RedisTagging {
    private redisns;
    private redis;
    private externalClient;
    constructor(options?: RedisTaggingOptions);
    quit(): Promise<void>;
    get(options: Pick<IInputOptions, "bucket" | "id">): Promise<string[]>;
    set(options: Pick<IInputOptions, "bucket" | "id" | "tags"> & Partial<Pick<IInputOptions, "score">>): Promise<true>;
    remove(options: Pick<IInputOptions, "bucket" | "id">): Promise<boolean>;
    allids(options: Pick<IInputOptions, "bucket">): Promise<string[]>;
    tags(options: Pick<IInputOptions, "bucket" | "tags"> & Partial<Pick<IInputOptions, "limit" | "offset" | "withscores" | "order" | "type">>): Promise<{
        total_items: number;
        items: string[] | {
            id: string;
            score: string;
        }[];
        limit: number;
        offset: number;
    }>;
    toptags(options: Pick<IInputOptions, "bucket"> & Partial<Pick<IInputOptions, "amount">>): Promise<{
        total_items: number;
        items: {
            tag: string;
            count: number;
        }[];
    }>;
    buckets(): Promise<string[]>;
    removebucket(options: Pick<IInputOptions, "bucket">): Promise<true>;
    private deleteID;
    private VALID;
    private validate;
}
//# sourceMappingURL=index.d.ts.map